KATE(1)

NAME
kate - Editor di testo avanzato per KDE

SYNOPSIS

kate [-s, --start nome] [-u, --use] [-p, --pid pid] [-e, --encoding nome] [-l, --line riga] [-c, --column colonna] [-i, --stdin] [Opzioni generiche di KDE] [Opzioni generiche di Qt]

DESCRIZIONE

Kate è l'editor di testo avanzato per KDE.

Kate fornisce anche il componente per la modifica del testo di varie applicazioni, con il nome di KWrite.

Alcune delle molte funzioni di Kate includono l'evidenziazione della sintassi configurabile per molti linguaggi da C e C++ a HTML, a script bash, all'abilità di creare e fare manutenzione su progetti, un'interfaccia basata su documenti multipli (MDI), ed un emulatore di terminale a sé stante.

Ma Kate è molto più di un editor avanzato di testi. La sua capacità di aprire diversi file contemporaneamente è ideale per modificare i molti file di configurazione di UNIX®. Questo documento, ad esempio, è stato scritto con Kate!

OPZIONI

-s, --start nome
    Avvia Kate con una sessione data.

-u, --use
    Usa un'istanza di Kate già in esecuzione

-p, --pid  pid
    Prova a riutilizzare solo l'istanza di kate con questo pid

-e, --encoding  nome
    Imposta la codifica per il file da aprire Puoi usare questa opzione per costringere l'apertura di un file con la codifica utf-8, ad esempio (Il comando iconv -l fornisce un elenco delle codifiche che possono esserti utili).

-l, --line  riga
    Spostati a questa riga

column colonna
    Spostati a questa colonna

-i, --stdin
    Leggi il contenuto di stdin

VEDI ANCHE

kwrite(1)

Documentazione per l'utente più dettagliata è disponibile usando help:/kate (inserisci questo URL in Konqueror o avvia khelpcenter help:/kate).

Ulteriori informazioni sono inoltre disponibili presso il sito web di Kate: http://kate.kde.org/.

ESEMPI

Per aprire un file dal nome sorgente.cpp alla colonna 15 della riga 25 in una finestra esistente di Kate potresti usare:

    kate -c 15 -l 25 -u sorgente.cpp

Se hai una connessione internet attiva puoi sfruttare la trasparenza alla rete di KDE per aprire un file da un sito FTP. Se non hai i permessi di scrittura sul server remoto, il file sarà aperto in modalità di sola lettura e ti verrà chiesto un nome per il file locale da usare per salvare le tue eventuali modifiche. Se hai i permessi di scrittura, le modifiche saranno salvate in modo trasparente sulla rete.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORI

Il responsabile di Kate è Christoph Cullmann <cullmann@kde.org>. Un elenco completo degli autori e dei collaboratori è disponibile nel manuale per l'utente completo summenzionato.

AUTHOR
Lauri Watts.